Bug 18191 - Remove the missing value default for formmethod=""
Remove the missing value default for formmethod=""
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:37 UTC by contributor
Modified: 2013-02-01 00:58 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:37:17 UTC
This was was cloned from bug 17185 as part of operation convergence.
Originally filed: 2012-05-25 10:50:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-05-25 10:50:22 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/association-of-controls-and-forms.html
Multipage: http://www.whatwg.org/C#attr-fs-formmethod
Complete: http://www.whatwg.org/c#attr-fs-formmethod

Comment:
Remove the missing value default for formmethod=""

Posted from: 85.227.154.145 by simonp@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.7.3; U; en) Presto/2.10.229 Version/11.64
================================================================================
 #1   Simon Pieters                                   2012-05-25 10:54:51 +0000 
--------------------------------------------------------------------------------
formmethod should only have an invalid value default, not a missing value default.

Consider

<form method=post> <input type=submit> </form>

input.formMethod will return "get", which is bogus since the attribute isn't specified so the form's method is really "post". With the proposed change, input.formMethod would return the empty string.

Since <form method=post> <input type=submit formmethod=invalid> </form> causes the form to use GET, making input.formMethod return "get" there makes sense, and allows for feature detection.

The same thing applies to formenctype.
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-21 10:32:28 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description: Patch applied
https://github.com/w3c/html/commit/4deee0db3501ac0de89e30bbea1dc7285eca039c
   Rationale: adopted from WHATWG
Comment 2 Silvia Pfeiffer 2013-02-01 00:58:48 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted

Change Description:
https://github.com/w3c/html/commit/c0e6cf84631cc3aec6dba74162798afa05cd2ca0

Rationale: additional fix accepted from WHATWG